<?php

class ComposantXslAction extends ComposantXsl
{

    const imgClasseSupprimer_o_sur_b = 'img_supprimer_b_sur_o_[taille]x[taille]';

    const img_picto_voir = 'img_picto_voir_[taille]x[taille]';

    const img_picto_agrandir = 'img_picto_agrandir_[taille]x[taille]';

    const img_picto_editer = 'img_picto_editer_[taille]x[taille]';

    const img_picto_vide = 'img_picto_vide_[taille]x[taille]';

    const img_picto_undo = 'img_picto_undo_[taille]x[taille]';

    const img_picto_blocnote = 'img_picto_blocnote_[taille]x[taille]';

    const img_picto_blocnote_vide = 'img_picto_blocnote_vide_[taille]x[taille]';

    const img_picto_ajouter = 'img_ajouter_b_sur_vm_[taille]x[taille]';

    const img_picto_supprimer = 'img_supprimer_b_sur_o_[taille]x[taille]';

    const img_picto_pdf = 'img_pdf_[taille]x[taille]';

    const img_picto_charger = 'img_charger_[taille]x[taille]';

    const img_picto_imp_qst_bib = 'img_bouton_imp_qst_bib_[taille]x[taille]';

    const img_picto_doc_att = 'img_docatt_[taille]x[taille]';

    const img_picto_trombone = 'img_picto_trombone_[taille]x[taille]';

    const img_avertissement_r_sur_gf = 'img_avertissement_menu_r_sur_gf_[taille]x[taille]';

    const img_select_info = 'img_select_info_[taille]x[taille]';

    const img_loupe = 'img_loupe_[taille]x[taille]';

    const img_suivant = 'img_suivant_[taille]x[taille]';

    const img_precedent = 'img_precedent_[taille]x[taille]';

    protected $est_primaire;

    protected $est_fleche;

    protected $sens_fleche;

    protected $image;

    protected $img_taille;

    public function getType()
    {
        return ComposantXSL::kAction;
    }

    public function setEstPrimaire($est_primaire)
    {
        $this->est_primaire = $est_primaire;
    }

    public function setImage(& $image)
    {
        $this->image = $image;
    }

    public function setImg_taille(& $img_taille)
    {
        $this->img_taille = $img_taille;
    }

    public function setEstFlecheGauche()
    {
        $this->est_fleche = true;
        $this->sens_fleche = 'G';
    }

    public function setEstFlecheDroite()
    {
        $this->est_fleche = true;
        $this->sens_fleche = 'D';
    }

    public function &buildXml()
    {
        $array = $this->getArray();
        
        if (! is_null($this->est_primaire))
            $array['!est_primaire'] = $this->est_primaire;
        if (! is_null($this->est_fleche))
            $array['!est_fleche'] = $this->est_fleche;
        if (! is_null($this->sens_fleche))
            $array['!sens_fleche'] = $this->sens_fleche;
        
        if (! is_null($this->image)) {
            $img_taille = (is_null($this->img_taille)) ? 16 : $this->img_taille;
            $array['!img_classe'] = 'img' . $img_taille . ' ' . str_replace('[taille]', $img_taille, $this->image);
        }
        
        return $array;
    }
}
